Subject: Re: bug#69605: [PATCH] Query Eglot version via package.el

From: João Távora <[email-masked]>
Date: Fri, 3 May 2024 12:54:05 +0100

On Fri, May 3, 2024 at 8:38 AM Philip Kaludercic <[email-masked]> wrote:

> Ping?

Patch looks good to me, I'm generally in favour of things that replace
Eglot-rolled facilities with standard ones.

But I haven't tested it.  What will `package-get-version` say of a master
build of Emacs where lisp/progmodes/eglot.el has changes that haven't
been published to GNU Elpa yet?  Does it even matter?

Anyway, I think the change is safe to install, just please make sure it
doesn't trip the GitHub CI (it shouldn't).

João